using System.Text.Json.Serialization;
using Newtonsoft.Json;

namespace Managing.Infrastructure.Evm.Models.Gmx.v2;

public class GmxV2TokenList
{
    [JsonProperty("tokens")]
    [JsonPropertyName("tokens")]
    public List<Token> Tokens { get; set; }
}

public class Token
{
    [JsonProperty("symbol")]
    [JsonPropertyName("symbol")]
    public string Symbol { get; set; }

    [JsonProperty("address")]
    [JsonPropertyName("address")]
    public string Address { get; set; }

    [JsonProperty("decimals")]
    [JsonPropertyName("decimals")]
    public int Decimals { get; set; }

    [JsonProperty("synthetic")]
    [JsonPropertyName("synthetic")]
    public bool? Synthetic { get; set; }
}